POST /api/security/entity_store/uninstall

Spaces method and path for this operation:

post /s/{space_id}/api/security/entity_store/uninstall

Refer to Spaces for more information.

Uninstall the Entity Store, removing engines and associated resources for the specified entity types.

[Required authorization] Route required privileges: securitySolution.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

application/json

Body

  • entityTypes array[string]

    Entity types to uninstall. Defaults to all installed types.

    Values are user, host, service, or generic. Default value is ["user", "host", "service", "generic"].

Responses

  • 200 application/json

    Indicates a successful response.

POST /api/security/entity_store/uninstall
curl -X POST -H "kbn-xsrf: true" -H "Authorization: ApiKey ${API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{"entityTypes":["user","host","service","generic"]}' \
  "${KIBANA_URL}/api/security/entity_store/uninstall"
POST kbn://api/security/entity_store/uninstall
{
  "entityTypes": ["user", "host", "service", "generic"]
}
Request examples
Uninstall all entity engines from the Entity Store.
{
  "entityTypes": [
    "user",
    "host",
    "service",
    "generic"
  ]
}
Uninstall only the host engine from the Entity Store.
{
  "entityTypes": [
    "host"
  ]
}
Response examples (200)
The specified entity engines were successfully uninstalled.
{
  "ok": true
}